import Vue from 'vue';
import Router from 'vue-router';

Vue.use(Router);

const routes = [
  {
    path: '*',
    redirect: '/'
  },
  {
    name: '/',
    component: () => import('./view/nav'),
    meta: {
      title: '导航'
    }
  },
  {
    name: 'set',
    component: () => import('./view/set'),
    meta: {
      title: '设置中心'
    }
  },
  {
    name: 'form',
    component: () => import('./view/form'),
    meta: {
      title: '表单组件'
    }
  },
];

// add route path
routes.forEach(route => {
  route.path = route.path || '/' + (route.name || '');
});

const router = new Router({ routes });

router.beforeEach((to, from, next) => {
  const title = to.meta && to.meta.title;
  if (title) {
    document.title = title;
  }
  next();
});

export {
  router
};
