import Vue from 'vue'
import Keyboard from '../../wbui/keyboard/Keyboard'
function createInstance() {
    // 返回一个扩展实例构造器
    const KeyboardConstructor = Vue.extend(Keyboard);
    // 构造一个实例
    const toastDom = new KeyboardConstructor({
        el: document.createElement('div'),
    });
    // 把实例化的 toast.vue 添加到 body 里
    document.body.appendChild(toastDom.$el);
    return toastDom;
}

// 注册为全局组件的函数
function KeyBoard(options = {}) {
    const toastDom = createInstance();
    toastDom.cols = options.cols || 3;
    toastDom.keys = options.keys;
    toastDom.value = options.value || '';
    toastDom.finish = options.finish || null;
    toastDom.cancel = options.cancel || null;
    toastDom.filter = options.filter || function (key) {
            return key;
        };
    toastDom.show();
}

export default KeyBoard
